Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 239279 - Review Request: libssh2 - A library implementing the SSH2 protocol
Summary: Review Request: libssh2 - A library implementing the SSH2 protocol
Keywords:
Status: CLOSED DUPLICATE of bug 398881
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 239280
TreeView+ depends on / blocked
 
Reported: 2007-05-07 11:58 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-07 08:41:49 UTC


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-07 11:58:47 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/libssh2.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/libssh2-0.15-0.20070506.1.fc7.src.rpm

Description:

libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Comment 1 Chris Weyl 2007-05-11 00:25:43 UTC
The man pages look to be more along the lines of developer documentation.  Would
they be better off in the -devel subpackage?

Comment 2 Chris Weyl 2007-05-23 18:39:47 UTC
Note needing to br pkgconfig directly is caused by a packaging bug in openssl. 
Filed at bug 241031.

There appears to be an "example" directory as well.  Would this make sense to
include as %doc in -devel?

Comment 3 Chris Weyl 2007-05-23 21:45:33 UTC
Heh.  I'm apparently doing this piecemeal.

Release is also off, it should be:
   0.1.%{checkoutdate}%{?dist}
not
   0.%{checkoutdate}.1%{?dist}

Comment 4 Sindre Pedersen Bjørdal 2007-05-23 23:04:17 UTC
Updated 

- Fix release tag
- Move manpages to -devel package
- Add Examples dir to -devel package


SPEC: http://folk.ntnu.no/sindrb/packages/green_nyc/libssh2.spec
SRPM:
http://folk.ntnu.no/sindrb/packages/green_nyc/libssh2-0.15-0.2.20070506.fc7.src.rpm

Comment 5 Ruben Kerkhof 2007-06-17 08:15:26 UTC
I haven't been able to download Source0 from http://dl.sourceforge.net/libssh2/%{name}-%{version}-%
{checkoutdate}.tar.gz

The latest version there seems to be 0.14.

Comment 6 Xavier Lamien 2007-07-08 03:44:37 UTC
ping ?

Comment 7 Matthias Saou 2007-08-31 17:34:04 UTC
Well, at that time, 0.15 wasn't out and the "%define checkoutdate 20070506" from
the spec sort of shows it. But now 0.17 is out. Please update the package, then
I'd be more than willing to perform a review.

Comment 9 Parag AN(पराग) 2007-09-27 15:26:04 UTC
Is there any update or should I go with comment #4 package for review?

Comment 10 Mamoru TASAKA 2007-09-28 13:36:09 UTC
IMO this review must be closed if no response from the reporter is
received within ONE WEEK.
There are some other packages submitted by Sindre with no response
for a long time.

I will also want to close bugs which are blocked by this bug
if no response is gained within ONE WEEK.

Comment 11 Mamoru TASAKA 2007-10-07 08:41:49 UTC
CLOSING.

If someone wants to import this package into Fedora, please
open a new review request and mark this bug as a duplicate
of the new request.

Thank you!

Comment 12 Chris Weyl 2007-10-16 02:44:54 UTC
Unfortunately, I don't have time to submit/maintain libssh2 properly at the
moment... but I do have an updated spec/package for libssh2 out at:

http://fedora.biggerontheinside.net/review/libssh2-0.17-1.fc7.src.rpm
http://fedora.biggerontheinside.net/review/libssh2.spec

Comment 13 Chris Weyl 2007-11-25 23:25:27 UTC

*** This bug has been marked as a duplicate of 398881 ***


Note You need to log in before you can comment on or make changes to this bug.